=== apps/Makefile ===
# The top-level makefile for CTN/DICOM applications

# For this target (applications), the first action is make install.
RCS_VER = V2_10_2
RCS_MSG_FILE = /dicom1a/projects/dicom94/releases/release.19981022.2.10.2

headerexport:
	cd apps_include;		make headerexport

applications:
	cd apps_test;			make install
	cd apps_include;		make install
	cd clone_study;			make application
	cd create_greyscale_module;	make application
	cd ctnnetwork;			make application
	cd ctn_version;			make application
#	cd database;			make application
#	cd dbfill;			make application
	cd dcm_add_fragments;		make application
	cd dcm_create_object;		make application
	cd dcm_ctnto10;			make application
	cd dcm_diff;			make application
	cd dcm_dump_compressed;		make application
	cd dcm_dump_element;		make application
	cd dcm_dump_file;		make application
	cd dcm_make_object;		make application
	cd dcm_map_to_8;		make application
	cd dcm_mask_image;		make application
	cd dcm_modify_elements;		make application
	cd dcm_modify_object;		make application
	cd dcm_print_dictionary;	make application
	cd dcm_resize;			make application
	cd dcm_rm_element;		make application
	cd dcm_rm_group;		make application
	cd dcm_snoop;			make application
	cd dcm_strip_odd_groups;	make application
	cd dcm_template;		make application
	cd dcm_to_html;			make application
	cd dcm_to_text;			make application
	cd dcm_to_xml;			make application
	cd dcm_verify;			make application
	cd dcm_vr_patterns;		make application
	cd dicom_echo;			make application
	cd displays;			make application
	cd fillRSA;			make application
	cd fis_server;			make application
	cd gq;				make application
	cd icon;			make application
	cd image_archive;		make application
	cd image_server;		make application
	cd load_control;		make application
	cd mwlQuery;			make application
	cd pdu_examples;		make application
	cd print_clients;		make application
	cd print_server;		make application
	cd print_server_display;	make application
	cd ris_gateway;			make application
	cd scripts;			make application
	cd send_image;			make application
	cd send_results;		make application
	cd send_study;			make application
	cd simple_pacs;			make application
	cd simple_storage;		make application
	cd snp_to_files;		make application
	cd storage_classes;		make application
	cd storage_commit;		make application
	cd tbltest;			make application

gui:
	cd assoc_tool;			make application
	cd cfg_ctn_tables;		make application
	cd idb_viewer;			make application
	cd object_viewer;		make application
	cd pmgr_motif;			make application
	cd query_client;		make application
	cd rsa_ui;			make application
	cd wlma_ui;			make application

install:
	$(DICOM_ROOT)/apps/scripts/createdirectory $(DICOM_BIN)
	cd apps_test;			make install
	cd apps_include;		make install
	cd clone_study;			make install
	cd create_greyscale_module;	make install
	cd ctnnetwork;			make install
	cd ctn_version;			make install
#	cd database;			make install
#	cd dbfill;			make install
	cd dcm_add_fragments;		make install
	cd dcm_create_object;		make install
	cd dcm_ctnto10;			make install
	cd dcm_diff;			make install
	cd dcm_dump_compressed;		make install
	cd dcm_dump_element;		make install
	cd dcm_dump_file;		make install
	cd dcm_make_object;		make install
	cd dcm_map_to_8;		make install
	cd dcm_mask_image;		make install
	cd dcm_modify_elements;		make install
	cd dcm_modify_object;		make install
	cd dcm_print_dictionary;	make install
	cd dcm_resize;			make install
	cd dcm_rm_element;		make install
	cd dcm_rm_group;		make install
	cd dcm_snoop;			make install
	cd dcm_strip_odd_groups;	make install
	cd dcm_template;		make install
	cd dcm_to_html;			make install
	cd dcm_to_text;			make install
	cd dcm_verify;			make install
	cd dcm_vr_patterns;		make install
	cd dicom_echo;			make install
	cd displays;			make install
	cd fillRSA;			make install
	cd fis_server;			make install
	cd gq;				make install
	cd icon;			make install
	cd image_archive;		make install
	cd image_server;		make install
	cd load_control;		make install
	cd mwlQuery;			make install
	cd pdu_examples;		make install
	cd print_clients;		make install
	cd print_server;		make install
	cd print_server_display;	make install
	cd ris_gateway;			make install
	cd scripts;			make install
	cd send_image;			make install
	cd send_results;		make install
	cd send_study;			make install
	cd simple_pacs;			make install
	cd simple_storage;		make install
	cd snp_to_files;		make install
	cd storage_classes;		make install
	cd storage_commit;		make install
	cd tbltest;			make install

tools:
	$(DICOM_ROOT)/apps/scripts/createdirectory $(DICOM_BIN)
	cd apps_test;			make install
	cd apps_include;		make install
	cd create_greyscale_module;	make install
	cd ctn_version;			make install
	cd dcm_add_fragments;		make install
	cd dcm_create_object;		make install
	cd dcm_ctnto10;			make install
	cd dcm_diff;			make install
	cd dcm_dump_compressed;		make install
	cd dcm_dump_element;		make install
	cd dcm_dump_file;		make install
	cd dcm_make_object;		make install
	cd dcm_map_to_8;		make install
	cd dcm_mask_image;		make install
	cd dcm_modify_elements;		make install
	cd dcm_modify_object;		make install
	cd dcm_print_dictionary;	make install
	cd dcm_resize;			make install
	cd dcm_rm_element;		make install
	cd dcm_rm_group;		make install
	cd dcm_snoop;			make install
	cd dcm_strip_odd_groups;	make install
	cd dcm_template;		make install
	cd dcm_to_html;			make install
	cd dcm_to_text;			make install
	cd dcm_verify;			make install
	cd dcm_vr_patterns;		make install
	cd dicom_echo;			make install
	cd displays;			make install
	cd mwlQuery;			make install
	cd send_image;			make install
	cd simple_storage;		make install
	cd storage_classes;		make install

install-clean:
	$(DICOM_ROOT)/apps/scripts/createdirectory $(DICOM_BIN)
	cd apps_test;			make install-clean
	cd apps_include;		make install-clean
	cd clone_study;			make install-clean
	cd create_greyscale_module;	make install-clean
	cd ctnnetwork;			make install-clean
	cd ctn_version;			make install-clean
#	cd database;			make install-clean
#	cd dbfill;			make install-clean
	cd dcm_add_fragments;		make install-clean
	cd dcm_create_object;		make install-clean
	cd dcm_ctnto10;			make install-clean
	cd dcm_diff;			make install-clean
	cd dcm_dump_compressed;		make install-clean
	cd dcm_dump_element;		make install-clean
	cd dcm_dump_file;		make install-clean
	cd dcm_make_object;		make install-clean
	cd dcm_map_to_8;		make install-clean
	cd dcm_mask_image;		make install-clean
	cd dcm_modify_elements;		make install-clean
	cd dcm_modify_object;		make install-clean
	cd dcm_print_dictionary;	make install-clean
	cd dcm_resize;			make install-clean
	cd dcm_rm_element;		make install-clean
	cd dcm_rm_group;		make install-clean
	cd dcm_snoop;			make install-clean
	cd dcm_strip_odd_groups;	make install-clean
	cd dcm_template;		make install-clean
	cd dcm_to_html;			make install-clean
	cd dcm_to_text;			make install-clean
	cd dcm_vr_patterns;		make install-clean
	cd dicom_echo;			make install-clean
	cd displays;			make install-clean
	cd fillRSA;			make install-clean
	cd fis_server;			make install-clean
	cd gq;				make install-clean
	cd icon;			make install-clean
	cd image_archive;		make install-clean
	cd image_server;		make install-clean
	cd load_control;		make install-clean
	cd mwlQuery;			make install-clean
	cd pdu_examples;		make install-clean
	cd print_clients;		make install-clean
	cd print_server;		make install-clean
	cd print_server_display;	make install-clean
	cd ris_gateway;			make install-clean
	cd scripts;			make install-clean
	cd send_image;			make install-clean
	cd send_results;		make install-clean
	cd send_study;			make install-clean
	cd simple_pacs;			make install-clean
	cd simple_storage;		make install-clean
	cd snp_to_files;		make install-clean
	cd storage_classes;		make install-clean
	cd storage_commit;		make install-clean
	cd tbltest;			make install-clean

gui-install:
	cd assoc_tool;			make install
	cd cfg_ctn_tables;		make install
	cd idb_viewer;			make install
	cd object_viewer;		make install
	cd pmgr_motif;			make install
	cd query_client;		make install
	cd rsa_ui;			make install
	cd wlma_ui;			make install

install-lite:
	$(DICOM_ROOT)/apps/scripts/createdirectory $(DICOM_BIN)
	cd apps_include;		make install;	make clean
#	cd assoc_tool;			make install;	make clean
#	cd cfg_ctn_tables;		make install;	make clean
#	cd clone_study;			make install;	make clean
#	cd create_greyscale_module;	make install;	make clean
#	cd ctnnetwork;			make install;	make clean
	cd ctn_version;			make install;	make clean
	cd database;			make install;	make clean
#	cd dbfill;			make install;	make clean
	cd dcm_add_fragments;		make install;	make clean
	cd dcm_create_object;		make install;	make clean
	cd dcm_ctnto10;			make install;	make clean
	cd dcm_diff;			make install;	make clean
	cd dcm_dump_compressed;		make install;	make clean
	cd dcm_dump_element;		make install;	make clean
	cd dcm_dump_file;		make install;	make clean
	cd dcm_make_object;		make install;	make clean
	cd dcm_map_to_8;		make install;	make clean
	cd dcm_mask_image;		make install;	make clean
	cd dcm_modify_elements;		make install;	make clean
	cd dcm_modify_object;		make install;	make clean
	cd dcm_print_dictionary;	make install;	make clean
	cd dcm_resize;			make install;	make clean
	cd dcm_rm_element;		make install;	make clean
	cd dcm_rm_group;		make install;	make clean
#	cd dcm_snoop;			make install;	make clean
	cd dcm_strip_odd_groups;	make install;	make clean
#	cd dcm_template;		make install;	make clean
	cd dcm_to_html;			make install;	make clean
	cd dcm_to_text;			make install;	make clean
#	cd dcm_verify;			make install;	make clean
	cd dcm_vr_patterns;		make install;	make clean
	cd dicom_echo;			make install;	make clean
	cd displays;			make install;	make clean
#	cd fillRSA;			make install;	make clean
#	cd fis_server;			make install;	make clean
#	cd gq;				make install;	make clean
#	cd icon;			make install;	make clean
	cd idb_viewer;			make install;	make clean
	cd image_archive;		make install;	make clean
	cd image_server;		make install;	make clean
	cd load_control;		make install;	make clean
	cd mwlQuery;			make install;	make clean
#	cd object_viewer;		make install;	make clean
#	cd pdu_examples;		make install;	make clean
#	cd pmgr_motif;			make install;	make clean
#	cd print_clients;		make install;	make clean
#	cd print_server;		make install;	make clean
#	cd print_server_display;	make install;	make clean
	cd query_client;		make install;	make clean
#	cd ris_gateway;			make install;	make clean
#	cd rsa_ui;			make install;	make clean
	cd scripts;			make install;	make clean
	cd send_image;			make install;	make clean
#	cd send_results;		make install;	make clean
	cd send_study;			make install;	make clean
#	cd simple_pacs;			make install;	make clean
	cd simple_storage;		make install;	make clean
#	cd snp_to_files;		make install;	make clean
	cd storage_classes;		make install;	make clean
#	cd storage_commit;		make install;	make clean
#	cd tbltest;			make install;	make clean
#	cd wlma_ui;			make install;	make clean


tools-install:
#	$(DICOM_ROOT)/apps/scripts/createdirectory $(DICOM_BIN)
	cd apps_include;		make install
	cd cfg_ctn_tables;		make install
	cd dcm_add_fragments;		make install
	cd dcm_create_object;		make install
	cd dcm_ctnto10;			make install
	cd dcm_diff;			make install
	cd dcm_dump_compressed;		make install
	cd dcm_dump_element;		make install
	cd dcm_dump_file;		make install
	cd dcm_make_object;		make install
	cd dcm_map_to_8;		make install
	cd dcm_mask_image;		make install
	cd dcm_modify_elements;		make install
	cd dcm_modify_object;		make install
	cd dcm_print_dictionary;	make install
	cd dcm_resize;			make install
	cd dcm_rm_element;		make install
	cd dcm_rm_group;		make install
	cd dcm_snoop;			make install
	cd dcm_strip_odd_groups;	make install
	cd dcm_template;		make install
	cd dcm_to_html;			make install
	cd dcm_to_text;			make install
	cd dcm_verify;			make install
	cd dcm_vr_patterns;		make install
