=== cgi_apps/Makefile ===
install:
	cd archive_cgi;		make install
	cd dd_lookup;		make install
	cd fileview;		make install

clean:
	cd archive_cgi;		make clean
	cd dd_lookup;		make clean
	cd fileview;		make clean
