=== external/Makefile ===
install:
	cd cgihtml-1.69;	make

clean:
	cd cgihtml-1.69;	make clean
