=== runtime/Makefile ===
install:
	chmod +x setup.csh
	./setup.csh $(CTN_TARGET)

	cp fontmap $(CTN_TARGET)/runtime
	cp queuemap $(CTN_TARGET)/runtime
	cp ctn_cfg.txt $(CTN_TARGET)/runtime
