=== apps/apps_test/Makefile ===
#	Makefile for image_archive

application:	
	chmod +x test_baseline
	./test_baseline

install:
	chmod +x test_baseline
	./test_baseline

install-clean:	install

install.mb:
	chmod +x test_mb
	./test_mb

clean:

indent:

checkin:

checkout:
