=== debian/changelog ===
ctn (3.2.0~dfsg-9) unstable; urgency=medium

  * Team upload.
  * Set C standard to gnu99 (Closes: #1096489)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 20 Sep 2025 04:23:39 +0530

ctn (3.2.0~dfsg-8) unstable; urgency=medium

  * Team upload.
  * d/test-endian.c: fix ARCHITECTURE detection with gcc 14.
  * d/rules: ignore newly enforced checks with gcc 14.
    Despite the relative simplicity of fixes for this gcc releast, the ctn
    code base is so large and ancient that the resulting patch for proper
    corrections of build errors is barely manageable.  For this particular
    case, reducing the severity of errors seemed more appropriate, and
    also prudent if considering risks of introducing bugs with the patch.
    (Closes: #1074893)
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Tue, 23 Jul 2024 22:49:55 +0200

ctn (3.2.0~dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066718).

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 27 Mar 2024 23:50:34 +0500

ctn (3.2.0~dfsg-7) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Repository.
  * Install config files from debian/tmp location

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 13:45:24 +0100

ctn (3.2.0~dfsg-6) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Drop unneeded get-orig-source target

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jul 2018 08:02:10 +0200

ctn (3.2.0~dfsg-5) unstable; urgency=medium

  * Update README.Debian
  * debhelper 10
  * d/watch: version=4
  * Build-Depends: libfl-dev
    Closes: #846419
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 01 Dec 2016 16:05:37 +0100

ctn (3.2.0~dfsg-4) unstable; urgency=medium

  * Move packaging to Git
  * cme fix dpkg-control
  * Revert changes from last NMU
    Closes: #842102
  * Build-Depends: default-libmysqlclient-dev

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2016 09:12:00 +0200

ctn (3.2.0~dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Build package with -fPIC CFLAG (Closes: #837417)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 28 Sep 2016 21:25:59 +0200

ctn (3.2.0~dfsg-3) unstable; urgency=medium

  * cme fix dpkg-control
  * Fix mayhem issues by checking missing parameters
    Closes: #715642, #715749, #715765, #715766, #715782

 -- Andreas Tille <tille@debian.org>  Sun, 20 Dec 2015 21:12:06 +0100

ctn (3.2.0~dfsg-2) unstable; urgency=medium

  * debian/upstream moved to debian/upstream/metadata
  * debian/patches/50_clang_FTBFS_Wreturn-type.patch: Enable building
    with clang (Thanks for the patch to Nicolas Sévelin-Radiguet
     <nicosr@free.fr>)
    Closes: #744085
  * Build-Depends: s/libmysqlclient15-dev/libmysqlclient-dev/
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 12 Apr 2014 07:31:54 +0200

ctn (3.2.0~dfsg-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream version available, on sf.net.
  * debian/watch, debian/copyright, debian/control: updated homepage.

  [ Thorsten Alteholz ]
  * debian/rules: target get-orig-source added

  [ Andreas Tille ]
  * debian/copyright:
     - DEP5
     - Files-Excluded: apps/displays/x_utils.c
       Closes: #724935, #724936
  * debian/source/format: 3.0 (quilt)
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - canonical Vcs URLs
     - Priority: optional
     - s/lesstif2-dev/libmotif-dev/ in Build-Depends
       Closes: #714750, #714758
  * debian/rules: rewritten to use dh and make things more transparent
    by using debian/*.{install,examples} files
  * debian/README.source removed
  * debian/upstream: bibliographic reference
  * debian/ctnmake.debian.mysql.options: drop some unneeded libraries

 -- Andreas Tille <tille@debian.org>  Thu, 07 Nov 2013 14:44:28 +0100

ctn (3.0.6-13) unstable; urgency=low

  [ Andreas Tille ]
  * Group maintenance by Debian-Med Packaging Team
  * Added myself to uploaders
  * DM-Upload-Allowed: yes
  * Fixed Vcs fields
  * Moved Homepage from long description to separate field
    (Closes: #466671).
  * Patch to make the ctn working properly with mysql server > 4.2.
    Thanks to Pablo Sau <psau@cadpet.es> (Closes: #326916).

  [ Steve M. Robbins ]
  * Remove self from uploaders.

  [ Thijs Kinkhorst ]
  * Drop empty prerm/postinst scripts.
  * Replace obsolete x-dev with x11-proto-core-dev
  * Use quilt to manage patches, add proper dependencies and
    targets in debian/rules. All patches are still in one file,
    which needs to be split out over time.
  * Checked for policy version 3.8.0, add README.source.
  * Remove self from uploaders, but upload for one last time ;-)

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 25 Jul 2008 18:03:57 +0200

ctn (3.0.6-12) unstable; urgency=low

  * Do not bail out if libsrc symlinks already exist, since this
    can cause problems in some build order.
  * Minor packaging cleanups.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 26 Jul 2007 14:15:04 +0200

ctn (3.0.6-11) unstable; urgency=low

  [ Charles Plessy ]
  * Fixed subversion repository declaration in debian/control.

  [ Thijs Kinkhorst ]
  * Replace deprecated ${Source-Version} with ${binary:Version}.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 18 Jun 2007 10:36:21 +0200

ctn (3.0.6-10) unstable; urgency=medium

  * Fixing build on 64bit platforms and providing *INT preprocessor
    definitions for the applications built using ctn-dev.
    Patch by Yaroslav Halchenko, thanks! (Closes: 387183)


