=== debian/control ===
Source: ctn
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libmotif-dev,
               libxaw7-dev,
               flex,
               libfl-dev,
               bison,
               zlib1g-dev,
               default-libmysqlclient-dev,
               libx11-dev,
               libxt-dev,
               x11proto-core-dev,
               csh | c-shell
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/ctn
Vcs-Git: https://salsa.debian.org/med-team/ctn.git
Homepage: http://sourceforge.net/projects/mirctn
Rules-Requires-Root: no

Package: ctn
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: ctn-doc
Description: Central Test Node, a DICOM implementation for medical imaging
 DICOM is the standard for image storage, annotation, and networking.
 It is used widely for medical imaging. The Central Test Node software (CTN)
 provides an implementation of this standard.
 .
 This package includes the binary and run-time configuration files for CTN.

Package: ctn-dev
Architecture: any
Section: devel
Depends: ctn (= ${binary:Version}),
         ${misc:Depends}
Suggests: ctn-doc
Description: Development files for Central Test Node, a DICOM implementation
 DICOM is the standard for image storage, annotation, and networking.
 It is used widely for medical imaging.
 .
 This package includes the header files and static library used for
 creating programs that use the CTN library.
