=== debian/watch ===
version=4
opts=dversionmangle=s/([~\+]dfsg)// \
  http://sf.net/mirctn/mirctn-(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
